REVIT二次开发取得指定名字的平面

//取得指定名字的平面
        public static ReferencePlane GetRefPlaneByName(Document doc, string name = "")
        {
            try
            {
                FilteredElementCollector collector = new FilteredElementCollector(doc);
                collector.OfClass(typeof(ReferencePlane));
                FilteredElementIterator eit = collector.GetElementIterator();
                while (eit.MoveNext())
                {
                    ReferencePlane plan = eit.Current as ReferencePlane;
                    if (plan.Name.Equals(name))
                    {
                        return plan;
                    }
                }
            }
            catch (System.Exception)
            {
            }
            return null;
        }
 

评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值